companion_proxy_client_free
companion_proxy_client_new
companion_proxy_client_start_service
companion_proxy_client_t
companion_proxy_device_event_cb_t
companion_proxy_error_t
companion_proxy_get_device_registry
companion_proxy_get_value_from_registry
companion_proxy_receive
companion_proxy_send
COMPANION_PROXY_SERVICE_NAME
companion_proxy_start_forwarding_service_port
companion_proxy_start_listening_for_devices
companion_proxy_stop_forwarding_service_port
companion_proxy_stop_listening_for_devices

## companion_proxy_start_listening_for_devices()

LIBIMOBILEDEVICE_API companion_proxy_error_t companion_proxy_start_listening_for_devices | ( | companion_proxy_client_t | client,
|  | companion_proxy_device_event_cb_t | callback,
|  | void * | userdata )

Starts listening for paired devices.

Parameters

  client | The companion_proxy client
  callback | Callback function that will be called when a new device is detected
  userdata | Pointer that that will be passed to the callback function

Note
  The event parameter that gets passed to the callback function is freed internally after returning from the callback. The consumer needs to make a copy if required.

Returns
  COMPANION_PROXY_E_SUCCESS on success, or a COMPANION_PROXY_E_* error code otherwise.